## org.eclipse.m2m.qvt.oml.util
Class WriterLog

    java.lang.Object
      org.eclipse.m2m.qvt.oml.util.WriterLog

All Implemented Interfaces:
  Log

Direct Known Subclasses:
  StringBufferLog

    public class WriterLog

extends java.lang.Object
implements Log

A basic logger backed-up with `Writer`.

Since:
  2.0

Field Summary

Fields inherited from interface org.eclipse.m2m.qvt.oml.util.Log
`NULL_LOG`

Constructor Summary
`WriterLog(java.io.Writer writer)` Constructs a log for the given writer object.

Method Summary
`protected java.io.Writer` `getWriter()`
`void` `log(int level, java.lang.String message)` Logs a message at the specified logging level.
`void` `log(int level, java.lang.String message, java.lang.Object param)` Logs a message with additional parameter at the specified logging level.
`void` `log(java.lang.String message)` Logs a message.
`void` `log(java.lang.String message, java.lang.Object param)` Logs a message with additional parameter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterLog

    public WriterLog(java.io.Writer writer)

  Constructs a log for the given writer object.

  Parameters:
    `writer` - the writer object to receive the log record data
  Throws:
    `java.lang.IllegalArgumentException` - if the passed `writer` is `null`

Method Detail

### getWriter

    protected final java.io.Writer getWriter()

### log

    public void log(int level,
                    java.lang.String message,
                    java.lang.Object param)

  Description copied from interface: `Log`
  Logs a message with additional parameter at the specified logging level.

  Specified by:
    `log` in interface `Log`
  Parameters:
    `level` - the level value to which the resulting log record should apply
    `message` - the textual message to be logged
    `param` - the parameter object to the message

### log

    public void log(int level,
                    java.lang.String message)

  Description copied from interface: `Log`
  Logs a message at the specified logging level.

  Specified by:
    `log` in interface `Log`
  Parameters:
    `level` - the level value to which the resulting log record should apply
    `message` - the textual message to be logged

### log

    public void log(java.lang.String message,
                    java.lang.Object param)

  Description copied from interface: `Log`
  Logs a message with additional parameter.

  Specified by:
    `log` in interface `Log`
  Parameters:
    `message` - the textual message to be logged
    `param` - the parameter object to the message

### log

    public void log(java.lang.String message)

  Description copied from interface: `Log`
  Logs a message.

  Specified by:
    `log` in interface `Log`
  Parameters:
    `message` - the textual message to be logged

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.